package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

/**
* @author zx
* @date 2021/9/26 15:52
*/
public class StudentStatisticsQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "小课类型 VIP、PRACTICE、THEORY 默认VIP",required = true)
    private String groupType = "VIP";

    @ApiModelProperty(value = "声部编号",required = false)
    private Integer subjectId;

    @ApiModelProperty(value = "学员状态，在读(NORMAL)、沉睡(SLEEPY)、流失(LOST), PAUSE(暂停)",required = false)
    private String studentStatus;

    @ApiModelProperty(value = "回访状态，THINKING(考虑中), PENDING_PAYMENT(确认缴费待缴费),LOST(流失), PAUSE(暂停),OTHER(其他)",required = false)
    private String feedbackType;

    @ApiModelProperty(value = "30天课耗",required = false)
    private Integer latelyCourseConsumer;

    @ApiModelProperty(value = "一年课耗",required = false)
    private Integer latelyYearCourseConsumer;

    @ApiModelProperty(value = "回访次数",required = false)
    private Integer visitNum;

    @ApiModelProperty(value = "指导老师",required = false)
    private Integer teacherId;

    @ApiModelProperty(value = "声部课老师",required = false)
    private Integer subjectTeacherId;

    @ApiModelProperty(value = "乐团主管",required = false)
    private Integer musicDirectorId;

    @ApiModelProperty(value = "是否查询课耗异常",required = false)
    private Boolean courseConsumerError;

    @ApiModelProperty(value = "是否预警（未开始课时数+未排课课时数≤3为【是】）",required = false)
    private Boolean wornFlag;

    @ApiModelProperty(value = "剩余课时数(未开始课时数+未排课课时数 小于指定数量)",required = false)
    private Integer subCourseMinNum;

    @ApiModelProperty(value = "剩余课时数（未开始课时数+未排课课时数 大于指定数量）",required = false)
    private Integer subCourseMaxNum;

    @ApiModelProperty(value = "第一次课开始时间（年月日）",required = false)
    private String firstCourseStartTime;

    @ApiModelProperty(value = "第一次课截止时间（年月日）",required = false)
    private String firstCourseEndTime;

    @ApiModelProperty(value = "最近一次回访开始时间（年月日）",required = false)
    private String lastVisitStartTime;

    @ApiModelProperty(value = "最近一次回访截止时间（年月日）",required = false)
    private String lastVisitEndTime;

    @ApiModelProperty(value = "分部编号列表",required = false)
    private String organId;

    public Boolean getWornFlag() {
        return wornFlag;
    }

    public void setWornFlag(Boolean wornFlag) {
        this.wornFlag = wornFlag;
    }

    public Integer getSubCourseMinNum() {
        return subCourseMinNum;
    }

    public void setSubCourseMinNum(Integer subCourseMinNum) {
        this.subCourseMinNum = subCourseMinNum;
    }

    public Integer getSubCourseMaxNum() {
        return subCourseMaxNum;
    }

    public void setSubCourseMaxNum(Integer subCourseMaxNum) {
        this.subCourseMaxNum = subCourseMaxNum;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getStudentStatus() {
        return studentStatus;
    }

    public void setStudentStatus(String studentStatus) {
        this.studentStatus = studentStatus;
    }

    public String getFeedbackType() {
        return feedbackType;
    }

    public void setFeedbackType(String feedbackType) {
        this.feedbackType = feedbackType;
    }

    public Integer getLatelyCourseConsumer() {
        return latelyCourseConsumer;
    }

    public void setLatelyCourseConsumer(Integer latelyCourseConsumer) {
        this.latelyCourseConsumer = latelyCourseConsumer;
    }

    public Integer getLatelyYearCourseConsumer() {
        return latelyYearCourseConsumer;
    }

    public void setLatelyYearCourseConsumer(Integer latelyYearCourseConsumer) {
        this.latelyYearCourseConsumer = latelyYearCourseConsumer;
    }

    public Integer getVisitNum() {
        return visitNum;
    }

    public void setVisitNum(Integer visitNum) {
        this.visitNum = visitNum;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getSubjectTeacherId() {
        return subjectTeacherId;
    }

    public void setSubjectTeacherId(Integer subjectTeacherId) {
        this.subjectTeacherId = subjectTeacherId;
    }

    public Integer getMusicDirectorId() {
        return musicDirectorId;
    }

    public void setMusicDirectorId(Integer musicDirectorId) {
        this.musicDirectorId = musicDirectorId;
    }

    public Boolean getCourseConsumerError() {
        return courseConsumerError;
    }

    public void setCourseConsumerError(Boolean courseConsumerError) {
        this.courseConsumerError = courseConsumerError;
    }

    public String getFirstCourseStartTime() {
        return firstCourseStartTime;
    }

    public void setFirstCourseStartTime(String firstCourseStartTime) {
        this.firstCourseStartTime = firstCourseStartTime;
    }

    public String getLastVisitStartTime() {
        return lastVisitStartTime;
    }

    public void setLastVisitStartTime(String lastVisitStartTime) {
        this.lastVisitStartTime = lastVisitStartTime;
    }

    public String getLastVisitEndTime() {
        return lastVisitEndTime;
    }

    public void setLastVisitEndTime(String lastVisitEndTime) {
        this.lastVisitEndTime = lastVisitEndTime;
    }

    public String getFirstCourseEndTime() {
        return firstCourseEndTime;
    }

    public void setFirstCourseEndTime(String firstCourseEndTime) {
        this.firstCourseEndTime = firstCourseEndTime;
    }
}
